package com.example.mynotepad;

import androidx.appcompat.app.AppCompatActivity;
import androidx.drawerlayout.widget.DrawerLayout;
import androidx.room.Room;
import android.annotation.SuppressLint;
import android.content.Intent;
import android.os.Bundle;
import android.view.Gravity;
import android.view.MenuItem;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
import com.example.mynotepad.MenuFeatures.AllArchivedNotes.ArchivedNotesActivity;
import com.example.mynotepad.MenuFeatures.AllNotes.AllNotesActivity;
import com.example.mynotepad.MenuFeatures.AllNotes.DataBase.NoteDataBase;
import com.example.mynotepad.MenuFeatures.Calender.MyCalenderActivity;
import com.example.mynotepad.MenuFeatures.Pics.PicsActivity;
import com.example.mynotepad.MenuFeatures.Setting.SettingActivity;
import com.example.mynotepad.MenuFeatures.VoiceMassages.VoiceMassagesActivity;
import com.google.android.material.navigation.NavigationView;

public class MainActivity extends AppCompatActivity implements NavigationView.OnNavigationItemSelectedListener {

    private TextView wlcTxt;
    public static NoteDataBase noteDataBase;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        init();
        setWlcTxt();
    }

    private void init() {
        noteDataBase = Room.databaseBuilder(this, NoteDataBase.class, "RoomDb").fallbackToDestructiveMigration().allowMainThreadQueries().build();
        wlcTxt = findViewById(R.id.wlcTxt);

        final DrawerLayout drawerLayout = findViewById(R.id.drawerLayout);
        NavigationView navigationView = findViewById(R.id.main_menu);//menu drawer in ui
        navigationView.setNavigationItemSelectedListener(this);

        ImageView toolbarListImg = findViewById(R.id.toolbarList);
        toolbarListImg.setOnClickListener(new View.OnClickListener() {
            @SuppressLint("WrongConstant")
            @Override
            public void onClick(View v) {
                if(!drawerLayout.isDrawerOpen(Gravity.START))
                    drawerLayout.openDrawer(Gravity.START);
                else drawerLayout.closeDrawer(Gravity.END);
            }
        });
    }

    private void setWlcTxt() {
        //ToDo with shared Prefrences in setting
        //if () else()
        wlcTxt.setText("welcome :)");
    }

    @SuppressLint("NonConstantResourceId")
    @Override
    public boolean onNavigationItemSelected(MenuItem item) {
        // Handle navigation view item clicks here.
        int id = item.getItemId();

        switch (id) {
            case R.id.allNotes:{
                startActivity(new Intent(getApplicationContext(), AllNotesActivity.class));
                break;
            }
            case R.id.favorites:{
                startActivity(new Intent(getApplicationContext(), ArchivedNotesActivity.class));
                break;
            }
            case R.id.folders:{
                break;
            }
            case R.id.calender:{
                startActivity(new Intent(getApplicationContext(), MyCalenderActivity.class));
                break;
            }
            case R.id.voiceMassages:{
                startActivity(new Intent(getApplicationContext(), VoiceMassagesActivity.class));
                break;
            }
            case R.id.notedPics:{
                startActivity(new Intent(getApplicationContext(), PicsActivity.class));
                break;
            }
            case R.id.programs:{
            }
            case R.id.setting:{
                startActivity(new Intent(getApplicationContext(), SettingActivity.class));
            }
            case R.id.information:{
            }
        }
        return true;
    }
}